Debian Bug report logs - #609903
xserver-xorg-input-synaptics: enable LEDDoubleTap feature

version graph

Package: xserver-xorg-input-synaptics; Maintainer for xserver-xorg-input-synaptics is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-input-synaptics is src:xserver-xorg-input-synaptics.

Reported by: Ilya Rusyanov <me.detected@gmail.com>

Date: Thu, 13 Jan 2011 18:15:02 UTC

Severity: normal

Tags: patch, upstream

Merged with 683762

Found in versions xserver-xorg-input-synaptics/1.6.2-1, xserver-xorg-input-synaptics/1.2.2-2

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=39055

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, me.detected@gmail.com, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#609903; Package xserver-xorg-input-synaptics. (Thu, 13 Jan 2011 18:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ilya Rusyanov <me.detected@gmail.com>:
New Bug report received and forwarded. Copy sent to me.detected@gmail.com, Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 13 Jan 2011 18:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ilya Rusyanov <me.detected@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-input-synaptics: enable LEDDoubleTap feature
Date: Thu, 13 Jan 2011 21:11:49 +0300
Package: xserver-xorg-input-synaptics
Version: 1.2.2-2
Severity: normal
Tags: patch

Hello,

I'm writing from a HP G62 laptop, which has linux preinstalled. Unfortunately
it came w/ SUSE and not Debian.

This and some other HP laptops have a little red led in the upper left corner
of a touchpad. Double tapping it disables it on SUSE(and as documentation says
this is what should happen if it is double tapped)

2 days of googling and digging the current SUSE installation on this laptop led
me to a patch for xorg-input-synaptics developed by a guy called Takashi Iwai.
I asked him about the state of the patch and if it was pushed to xorg upstream
and here's what he answered:
---------------------------------------------------------------------------------------------------------------------------------
My work on synaptics is blocked due to unfortunate situation, so
I can't comment on it.  Sorry.

But the patches were already submitted with my sign-off, so feel
free to work on them.
---------------------------------------------------------------------------------------------------------------------------------

And here is link to the patch:
https://build.opensuse.org/package/view_file?file=xf86-input-synaptics-led-
double-tap.diff&package=xorg-x11-driver-
input&project=X11%3AXOrg&srcmd5=0ee44a7461227a50e347e4a8e58c637d

I'm sure many users would appreciate the inclusion of this patch into Debian.

Additionally I would like to say it successfully works in openSUSE.

Thank you.



-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 Dec  4 19:18 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1733468 Jan 12 06:50 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

VGA-compatible devices on PCI bus:
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)

/etc/X11/xorg.conf does not exist.

Kernel version (/proc/version):
Linux version 2.6.37-trunk-686 (Debian 2.6.37-1~experimental.1) (ben@decadent.org.uk) (gcc version 4.4.5 (Debian 4.4.5-10) ) #1 SMP Thu Jan 6 14:39:08 UTC 2011

Xorg X server log files on system:
-rw-r--r-- 1 root root 23756 Jan 13 20:56 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.7.7
Release Date: 2010-05-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.32-5-686 i686 Debian
Current Operating System: Linux pdbn 2.6.37-trunk-686 #1 SMP Thu Jan 6 14:39:08 UTC 2011 i686
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.37-trunk-686 root=UUID=600ed11f-1331-4ee0-81b0-ffb179a324cd ro quiet
Build Date: 02 December 2010  01:08:37AM
xorg-server 2:1.7.7-10 (Julien Cristau <jcristau@debian.org>) 
Current version of pixman: 0.16.4
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Thu Jan 13 19:19:19 2011
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(==) No Layout section.  Using the first Screen section.
(==) No screen section available. Using defaults.
(**) |-->Screen "Default Screen Section" (0)
(**) |   |-->Monitor "<default monitor>"
(==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
(II) Loader magic: 0x81ec060
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 6.0
	X.Org XInput driver : 7.0
	X.Org Server Extension : 2.0
(++) using VT number 7

(--) PCI:*(0:0:2:0) 8086:0046:103c:1439 Intel Corporation Core Processor Integrated Graphics Controller rev 2, Mem @ 0xb0000000/4194304, 0xa0000000/268435456, I/O @ 0x00003050/8
(II) Open ACPI successful (/var/run/acpid.socket)
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(==) Matched intel as autoconfigured driver 0
(==) Matched vesa as autoconfigured driver 1
(==) Matched fbdev as autoconfigured driver 2
(==) Assigned the driver to the xf86ConfigLayout
(II) LoadModule: "intel"
(II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
(II) Module intel: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 2.13.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "vesa"
(II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
(II) Module vesa: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 2.3.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "fbdev"
(II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
(II) Module fbdev: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 0.4.2
	ABI class: X.Org Video Driver, version 6.0
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
	965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
	4 Series, G45/G43, Q45/Q43, G41, B43, B43, Clarkdale, Arrandale,
	Sandybridge, Sandybridge, Sandybridge, Sandybridge, Sandybridge,
	Sandybridge, Sandybridge
(II) VESA: driver for VESA chipsets: vesa
(II) FBDEV: driver for framebuffer: fbdev
(II) Primary Device is: PCI 00@00:02:0
(WW) Falling back to old probe method for vesa
(WW) Falling back to old probe method for fbdev
(II) Loading sub module "fbdevhw"
(II) LoadModule: "fbdevhw"
(II) Loading /usr/lib/xorg/modules/linux/libfbdevhw.so
(II) Module fbdevhw: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 0.0.2
	ABI class: X.Org Video Driver, version 6.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: drmOpenMinor returns 9
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
(II) intel(0): Creating default Display subsection in Screen section
	"Default Screen Section" for depth/fbbpp 24/32
(==) intel(0): Depth 24, (--) framebuffer bpp 32
(==) intel(0): RGB weight 888
(==) intel(0): Default visual is TrueColor
(II) intel(0): Integrated Graphics Chipset: Intel(R) Arrandale
(--) intel(0): Chipset: "Arrandale"
(**) intel(0): Tiling enabled
(**) intel(0): SwapBuffers wait enabled
(==) intel(0): video overlay key set to 0x101fe
(II) intel(0): Output LVDS1 has no monitor section
(II) intel(0): found backlight control interface /sys/class/backlight/acpi_video0
(II) intel(0): Output VGA1 has no monitor section
(II) intel(0): Output HDMI1 has no monitor section
(II) intel(0): Output DP1 has no monitor section
(II) intel(0): EDID for output LVDS1
(II) intel(0): Manufacturer: CMO  Model: 1592  Serial#: 0
(II) intel(0): Year: 2009  Week: 53
(II) intel(0): EDID Version: 1.3
(II) intel(0): Digital Display Input
(II) intel(0): Max Image Size [cm]: horiz.: 35  vert.: 19
(II) intel(0): Gamma: 2.20
(II) intel(0): No DPMS capabilities specified
(II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) intel(0): First detailed timing is preferred mode
(II) intel(0): redX: 0.602 redY: 0.340   greenX: 0.306 greenY: 0.530
(II) intel(0): blueX: 0.151 blueY: 0.120   whiteX: 0.313 whiteY: 0.329
(II) intel(0): Manufacturer's mask: 0
(II) intel(0): Supported detailed timing:
(II) intel(0): clock: 69.3 MHz   Image Size:  344 x 193 mm
(II) intel(0): h_active: 1366  h_sync: 1382  h_sync_end 1416 h_blank_end 1466 h_border: 0
(II) intel(0): v_active: 768  v_sync: 770  v_sync_end 776 v_blanking: 788 v_border: 0
(II) intel(0):  N156B6-L0B
(II) intel(0):  CMO
(II) intel(0):  N156B6-L0B
(II) intel(0): EDID (in hex):
(II) intel(0): 	00ffffffffffff000daf921500000000
(II) intel(0): 	35130103802313780a07f59a574e8726
(II) intel(0): 	1e505400000001010101010101010101
(II) intel(0): 	010101010101121b5664500014301022
(II) intel(0): 	260058c110000018000000fe004e3135
(II) intel(0): 	3642362d4c30420a2020000000fe0043
(II) intel(0): 	4d4f0a202020202020202020000000fe
(II) intel(0): 	004e31353642362d4c30420a20200020
(II) intel(0): EDID vendor "CMO", prod id 5522
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1382 1416 1466  768 770 776 788 -hsync -vsync (47.3 kHz)
(II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
(II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "640x480" (doublescan mode not supported)
(II) intel(0): Not using default mode "640x512" (doublescan mode not supported)
(II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "896x672" (doublescan mode not supported)
(II) intel(0): Not using default mode "928x696" (doublescan mode not supported)
(II) intel(0): Not using default mode "960x720" (doublescan mode not supported)
(II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
(II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
(II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "720x450" (doublescan mode not supported)
(II) intel(0): Not using default mode "800x512" (doublescan mode not supported)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
(II) intel(0): Not using default mode "960x540" (doublescan mode not supported)
(II) intel(0): Not using default mode "960x600" (doublescan mode not supported)
(II) intel(0): Not using default mode "1024x768" (doublescan mode not supported)
(II) intel(0): Printing probed modes for output LVDS1
(II) intel(0): Modeline "1366x768"x60.0   69.30  1366 1382 1416 1466  768 770 776 788 -hsync -vsync (47.3 kHz)
(II) intel(0): Modeline "1360x768"x59.8   84.75  1360 1432 1568 1776  768 771 781 798 -hsync +vsync (47.7 kHz)
(II) intel(0): Modeline "1360x768"x60.0   72.00  1360 1408 1440 1520  768 771 781 790 +hsync -vsync (47.4 kHz)
(II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz)
(II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): EDID for output VGA1
(II) intel(0): EDID for output HDMI1
(II) intel(0): EDID for output DP1
(II) intel(0): Output LVDS1 connected
(II) intel(0): Output VGA1 disconnected
(II) intel(0): Output HDMI1 disconnected
(II) intel(0): Output DP1 disconnected
(II) intel(0): Using exact sizes for initial modes
(II) intel(0): Output LVDS1 using initial mode 1366x768
(II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
(II) intel(0): Kernel page flipping support detected, enabling
(**) intel(0): Display dimensions: (350, 190) mm
(**) intel(0): DPI set to (99, 102)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) UnloadModule: "vesa"
(II) Unloading /usr/lib/xorg/modules/drivers/vesa_drv.so
(II) UnloadModule: "fbdev"
(II) Unloading /usr/lib/xorg/modules/drivers/fbdev_drv.so
(II) UnloadModule: "fbdevhw"
(II) Unloading /usr/lib/xorg/modules/linux/libfbdevhw.so
(==) Depth 24 pixmap format is 32 bpp
(==) intel(0): VideoRam: 262144 KB
(II) intel(0): [DRI2] Setup complete
(II) intel(0): Allocated new frame buffer 1408x768 stride 5632, tiled
(II) UXA(0): Driver registered support for the following operations:
(II)         solid
(II)         copy
(II)         composite (RENDER acceleration)
(II)         put_image
(II)         get_image
(==) intel(0): Backing store disabled
(==) intel(0): Silken mouse enabled
(II) intel(0): Initializing HW Cursor
(II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(==) intel(0): DPMS enabled
(==) intel(0): Intel XvMC decoder enabled
(II) intel(0): Set up textured video
(II) intel(0): [XvMC] xvmc_vld driver initialized.
(II) intel(0): direct rendering: DRI2 Enabled
(--) RandR disabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
(II) AIGLX: enabled GLX_MESA_copy_sub_buffer
(II) AIGLX: enabled GLX_SGI_make_current_read
(II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
(II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
(II) AIGLX: Loaded and initialized /usr/lib/dri/i965_dri.so
(II) GLX: Initialized DRI2 GL provider for screen 0
(II) intel(0): Setting screen physical size to 361 x 203
(II) config/udev: Adding input device Power Button (/dev/input/event4)
(**) Power Button: Applying InputClass "evdev keyboard catchall"
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 2.3.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(**) Power Button: always reports core events
(**) Power Button: Device: "/dev/input/event4"
(II) Power Button: Found keys
(II) Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "us,ru"
(**) Option "xkb_variant" ","
(**) Option "xkb_options" "grp:lwin_toggle,grp_led:scroll"
(II) config/udev: Adding input device Video Bus (/dev/input/event7)
(**) Video Bus: Applying InputClass "evdev keyboard catchall"
(**) Video Bus: always reports core events
(**) Video Bus: Device: "/dev/input/event7"
(II) Video Bus: Found keys
(II) Video Bus: Configuring as keyboard
(II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "us,ru"
(**) Option "xkb_variant" ","
(**) Option "xkb_options" "grp:lwin_toggle,grp_led:scroll"
(II) config/udev: Adding input device Power Button (/dev/input/event3)
(**) Power Button: Applying InputClass "evdev keyboard catchall"
(**) Power Button: always reports core events
(**) Power Button: Device: "/dev/input/event3"
(II) Power Button: Found keys
(II) Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "us,ru"
(**) Option "xkb_variant" ","
(**) Option "xkb_options" "grp:lwin_toggle,grp_led:scroll"
(II) config/udev: Adding input device Lid Switch (/dev/input/event2)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device HP Webcam-101 (/dev/input/event5)
(**) HP Webcam-101: Applying InputClass "evdev keyboard catchall"
(**) HP Webcam-101: always reports core events
(**) HP Webcam-101: Device: "/dev/input/event5"
(II) HP Webcam-101: Found keys
(II) HP Webcam-101: Configuring as keyboard
(II) XINPUT: Adding extended input device "HP Webcam-101" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "us,ru"
(**) Option "xkb_variant" ","
(**) Option "xkb_options" "grp:lwin_toggle,grp_led:scroll"
(II) config/udev: Adding input device HDA Digital PCBeep (/dev/input/event8)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device HDA Intel Headphone (/dev/input/event10)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device HDA Intel Mic (/dev/input/event9)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event0)
(**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
(**) AT Translated Set 2 keyboard: always reports core events
(**) AT Translated Set 2 keyboard: Device: "/dev/input/event0"
(II) AT Translated Set 2 keyboard: Found keys
(II) AT Translated Set 2 keyboard: Configuring as keyboard
(II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "us,ru"
(**) Option "xkb_variant" ","
(**) Option "xkb_options" "grp:lwin_toggle,grp_led:scroll"
(II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/event11)
(**) SynPS/2 Synaptics TouchPad: Applying InputClass "evdev touchpad catchall"
(**) SynPS/2 Synaptics TouchPad: Applying InputClass "touchpad catchall"
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 1.2.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(II) Synaptics touchpad driver version 1.2.2
(**) Option "Device" "/dev/input/event11"
(II) SynPS/2 Synaptics TouchPad: x-axis range 1472 - 5888
(II) SynPS/2 Synaptics TouchPad: y-axis range 1408 - 4844
(II) SynPS/2 Synaptics TouchPad: pressure range 0 - 255
(II) SynPS/2 Synaptics TouchPad: finger width range 0 - 15
(II) SynPS/2 Synaptics TouchPad: buttons: left right
(--) SynPS/2 Synaptics TouchPad: touchpad found
(**) SynPS/2 Synaptics TouchPad: always reports core events
(II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD)
(**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
(**) SynPS/2 Synaptics TouchPad: (accel) acceleration profile 0
(**) SynPS/2 Synaptics TouchPad: (accel) acceleration factor: 2.000
(**) SynPS/2 Synaptics TouchPad: (accel) acceleration threshold: 4
(--) SynPS/2 Synaptics TouchPad: touchpad found
(II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/mouse0)
(**) SynPS/2 Synaptics TouchPad: Applying InputClass "touchpad catchall"
(II) Synaptics touchpad driver version 1.2.2
SynPS/2 Synaptics TouchPad no synaptics event device found
(**) Option "Device" "/dev/input/mouse0"
Query no Synaptics: 6003C8
(--) SynPS/2 Synaptics TouchPad: no supported touchpad found
(EE) SynPS/2 Synaptics TouchPad Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "SynPS/2 Synaptics TouchPad"
(II) UnloadModule: "synaptics"
(II) config/udev: Adding input device PC Speaker (/dev/input/event1)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device HP WMI hotkeys (/dev/input/event6)
(**) HP WMI hotkeys: Applying InputClass "evdev keyboard catchall"
(**) HP WMI hotkeys: always reports core events
(**) HP WMI hotkeys: Device: "/dev/input/event6"
(II) HP WMI hotkeys: Found keys
(II) HP WMI hotkeys: Configuring as keyboard
(II) XINPUT: Adding extended input device "HP WMI hotkeys" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "us,ru"
(**) Option "xkb_variant" ","
(**) Option "xkb_options" "grp:lwin_toggle,grp_led:scroll"
(II) intel(0): EDID vendor "CMO", prod id 5522
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1382 1416 1466  768 770 776 788 -hsync -vsync (47.3 kHz)
(II) intel(0): EDID vendor "CMO", prod id 5522
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1382 1416 1466  768 770 776 788 -hsync -vsync (47.3 kHz)
(II) intel(0): EDID vendor "CMO", prod id 5522
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1382 1416 1466  768 770 776 788 -hsync -vsync (47.3 kHz)
(II) intel(0): EDID vendor "CMO", prod id 5522
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1382 1416 1466  768 770 776 788 -hsync -vsync (47.3 kHz)
(II) intel(0): EDID vendor "CMO", prod id 5522
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1382 1416 1466  768 770 776 788 -hsync -vsync (47.3 kHz)
(II) intel(0): EDID vendor "CMO", prod id 5522
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1382 1416 1466  768 770 776 788 -hsync -vsync (47.3 kHz)
(II) intel(0): EDID vendor "CMO", prod id 5522
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1382 1416 1466  768 770 776 788 -hsync -vsync (47.3 kHz)
(II) intel(0): EDID vendor "CMO", prod id 5522
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1382 1416 1466  768 770 776 788 -hsync -vsync (47.3 kHz)
(II) intel(0): EDID vendor "CMO", prod id 5522
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1382 1416 1466  768 770 776 788 -hsync -vsync (47.3 kHz)
(II) PM Event received: Capability Changed
I830PMEvent: Capability change
(II) AIGLX: Suspending AIGLX clients for VT switch
(II) Open ACPI successful (/var/run/acpid.socket)
(II) AIGLX: Resuming AIGLX clients after VT switch
(II) intel(0): EDID vendor "CMO", prod id 5522
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1382 1416 1466  768 770 776 788 -hsync -vsync (47.3 kHz)
(--) SynPS/2 Synaptics TouchPad: touchpad found
(II) Power Button: Device reopened after 1 attempts.
(II) Video Bus: Device reopened after 1 attempts.
(II) Power Button: Device reopened after 1 attempts.
(II) HP Webcam-101: Device reopened after 1 attempts.
(II) AT Translated Set 2 keyboard: Device reopened after 1 attempts.
(II) HP WMI hotkeys: Device reopened after 1 attempts.
(II) intel(0): EDID vendor "CMO", prod id 5522
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1382 1416 1466  768 770 776 788 -hsync -vsync (47.3 kHz)
(II) intel(0): EDID vendor "CMO", prod id 5522
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1382 1416 1466  768 770 776 788 -hsync -vsync (47.3 kHz)
(II) intel(0): EDID vendor "CMO", prod id 5522
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "1366x768"x0.0   69.30  1366 1382 1416 1466  768 770 776 788 -hsync -vsync (47.3 kHz)

udev information:
P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event4
N: input/event4
S: char/13:68
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event4
E: MAJOR=13
E: MINOR=68
E: DEVNAME=/dev/input/event4
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=us,ru
E: XKBVARIANT=,
E: XKBOPTIONS=grp:lwin_toggle,grp_led:scroll
E: DMI_VENDOR=Hewlett-Packard
E: DEVLINKS=/dev/char/13:68

P: /devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input7/event7
N: input/event7
S: char/13:71
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input7/event7
E: MAJOR=13
E: MINOR=71
E: DEVNAME=/dev/input/event7
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=us,ru
E: XKBVARIANT=,
E: XKBOPTIONS=grp:lwin_toggle,grp_led:scroll
E: DMI_VENDOR=Hewlett-Packard
E: DEVLINKS=/dev/char/13:71

P: /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input3/event3
N: input/event3
S: char/13:67
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input3/event3
E: MAJOR=13
E: MINOR=67
E: DEVNAME=/dev/input/event3
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=us,ru
E: XKBVARIANT=,
E: XKBOPTIONS=grp:lwin_toggle,grp_led:scroll
E: DMI_VENDOR=Hewlett-Packard
E: DEVLINKS=/dev/char/13:67

P: /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input2/event2
N: input/event2
S: char/13:66
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input2/event2
E: MAJOR=13
E: MINOR=66
E: DEVNAME=/dev/input/event2
E: SUBSYSTEM=input
E: ID_INPUT=1
E: DMI_VENDOR=Hewlett-Packard
E: DEVLINKS=/dev/char/13:66

P: /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.3/1-1.3:1.0/input/input5/event5
N: input/event5
S: char/13:69
S: input/by-id/usb-Chicony_Corp._HP_Webcam-101-event-if00
S: input/by-path/pci-0000:00:1a.0-usb-0:1.3:1.0-event
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.3/1-1.3:1.0/input/input5/event5
E: MAJOR=13
E: MINOR=69
E: DEVNAME=/dev/input/event5
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_VENDOR=Chicony_Corp.
E: ID_VENDOR_ENC=Chicony\x20Corp.
E: ID_VENDOR_ID=04f2
E: ID_MODEL=HP_Webcam-101
E: ID_MODEL_ENC=HP\x20Webcam-101
E: ID_MODEL_ID=b1aa
E: ID_REVISION=5953
E: ID_SERIAL=Chicony_Corp._HP_Webcam-101
E: ID_TYPE=video
E: ID_BUS=usb
E: ID_USB_INTERFACES=:0e0100:0e0200:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=uvcvideo
E: ID_PATH=pci-0000:00:1a.0-usb-0:1.3:1.0
E: XKBMODEL=pc105
E: XKBLAYOUT=us,ru
E: XKBVARIANT=,
E: XKBOPTIONS=grp:lwin_toggle,grp_led:scroll
E: DEVLINKS=/dev/char/13:69 /dev/input/by-id/usb-Chicony_Corp._HP_Webcam-101-event-if00 /dev/input/by-path/pci-0000:00:1a.0-usb-0:1.3:1.0-event

P: /devices/pci0000:00/0000:00:1b.0/input/input8/event8
N: input/event8
S: char/13:72
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/input/input8/event8
E: MAJOR=13
E: MINOR=72
E: DEVNAME=/dev/input/event8
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=Hewlett-Packard
E: DEVLINKS=/dev/char/13:72

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input10/event10
N: input/event10
S: char/13:74
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input10/event10
E: MAJOR=13
E: MINOR=74
E: DEVNAME=/dev/input/event10
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=Hewlett-Packard
E: DEVLINKS=/dev/char/13:74
E: TAGS=:udev-acl:

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input9/event9
N: input/event9
S: char/13:73
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input9/event9
E: MAJOR=13
E: MINOR=73
E: DEVNAME=/dev/input/event9
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=Hewlett-Packard
E: DEVLINKS=/dev/char/13:73
E: TAGS=:udev-acl:

P: /devices/platform/i8042/serio0/input/input0/event0
N: input/event0
S: char/13:64
S: input/by-path/platform-i8042-serio-0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio0/input/input0/event0
E: MAJOR=13
E: MINOR=64
E: DEVNAME=/dev/input/event0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-0
E: XKBMODEL=pc105
E: XKBLAYOUT=us,ru
E: XKBVARIANT=,
E: XKBOPTIONS=grp:lwin_toggle,grp_led:scroll
E: DMI_VENDOR=Hewlett-Packard
E: DEVLINKS=/dev/char/13:64 /dev/input/by-path/platform-i8042-serio-0-event-kbd

P: /devices/platform/i8042/serio2/input/input11/event11
N: input/event11
S: char/13:75
S: input/by-path/platform-i8042-serio-2-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio2/input/input11/event11
E: MAJOR=13
E: MINOR=75
E: DEVNAME=/dev/input/event11
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-2
E: DMI_VENDOR=Hewlett-Packard
E: DEVLINKS=/dev/char/13:75 /dev/input/by-path/platform-i8042-serio-2-event-mouse

P: /devices/platform/i8042/serio2/input/input11/mouse0
N: input/mouse0
S: char/13:32
S: input/by-path/platform-i8042-serio-2-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio2/input/input11/mouse0
E: MAJOR=13
E: MINOR=32
E: DEVNAME=/dev/input/mouse0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-2
E: DEVLINKS=/dev/char/13:32 /dev/input/by-path/platform-i8042-serio-2-mouse

P: /devices/platform/pcspkr/input/input1/event1
N: input/event1
S: char/13:65
S: input/by-path/platform-pcspkr-event-spkr
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/pcspkr/input/input1/event1
E: MAJOR=13
E: MINOR=65
E: DEVNAME=/dev/input/event1
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-pcspkr
E: DMI_VENDOR=Hewlett-Packard
E: DEVLINKS=/dev/char/13:65 /dev/input/by-path/platform-pcspkr-event-spkr

P: /devices/virtual/input/input6/event6
N: input/event6
S: char/13:70
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input6/event6
E: MAJOR=13
E: MINOR=70
E: DEVNAME=/dev/input/event6
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=us,ru
E: XKBVARIANT=,
E: XKBOPTIONS=grp:lwin_toggle,grp_led:scroll
E: DMI_VENDOR=Hewlett-Packard
E: DEVLINKS=/dev/char/13:70

DRM Information from dmesg:
[    2.155116] Linux agpgart interface v0.103
[    2.155208] agpgart-intel 0000:00:00.0: Intel HD Graphics Chipset
[    2.155271] agpgart-intel 0000:00:00.0: detected gtt size: 524288K total, 262144K mappable
[    2.155866] agpgart-intel 0000:00:00.0: detected 32768K stolen memory
[    2.174939] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0xa0000000
[    7.505852] [drm] Initialized drm 1.1.0 20060810
[    7.772745] [drm] MTRR allocation failed.  Graphics performance may suffer.
[    7.968012] fb0: inteldrmfb frame buffer device
[    7.968014] drm: registered panic notifier
[    7.989400] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0


-- System Information:
Debian Release: 6.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.37-trunk-686 (SMP w/4 CPU cores)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-input-synaptics depends on:
ii  libc6                         2.11.2-7   Embedded GNU C Library: Shared lib
ii  libpciaccess0                 0.12.0-1   Generic PCI access library for X
ii  libpixman-1-0                 0.16.4-1   pixel-manipulation library for X a
ii  libx11-6                      2:1.3.3-4  X11 client-side library
ii  libxi6                        2:1.3-6    X11 Input extension library
ii  xserver-xorg-core [xorg-input 2:1.7.7-11 Xorg X server - core server

xserver-xorg-input-synaptics recommends no packages.

Versions of packages xserver-xorg-input-synaptics suggests:
ii  gpointing-device-settings     1.5.1-4    configuration tool for pointing de
pn  touchfreeze                   <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#609903; Package xserver-xorg-input-synaptics. (Thu, 13 Jan 2011 20:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 13 Jan 2011 20:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 609903@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Ilya Rusyanov <me.detected@gmail.com>, 609903@bugs.debian.org
Subject: Re: Bug#609903: xserver-xorg-input-synaptics: enable LEDDoubleTap feature
Date: Thu, 13 Jan 2011 21:36:24 +0100
[Message part 1 (text/plain, inline)]
Hi,

Ilya Rusyanov <me.detected@gmail.com> (13/01/2011):
> But the patches were already submitted with my sign-off, so feel
> free to work on them.

Patch sent upstream:
  http://article.gmane.org/gmane.comp.freedesktop.xorg.devel/13437

Upstream review:
  http://article.gmane.org/gmane.comp.freedesktop.xorg.devel/13607

> I'm sure many users would appreciate the inclusion of this patch
> into Debian.

I'd rather wait for its being polished and accepted upstream than
blindly including it right now.

Thanks for the pointer though.

KiBi.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) upstream. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Tue, 18 Jan 2011 21:45:06 GMT) Full text and rfc822 format available.

Marked as found in versions xserver-xorg-input-synaptics/1.6.2-1. Request was from Stefan Nagy <public@stefan-nagy.at> to control@bugs.debian.org. (Mon, 03 Sep 2012 22:09:04 GMT) Full text and rfc822 format available.

Merged 609903 683762 Request was from Stefan Nagy <public@stefan-nagy.at> to control@bugs.debian.org. (Mon, 03 Sep 2012 22:09:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=39055'. Request was from Stefan Nagy <public@stefan-nagy.at> to control@bugs.debian.org. (Mon, 03 Sep 2012 22:09:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:35:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.